VMRC SDK for vSphere 5.5

  • Supported Versions

Note :The VMRC SDK requires the Netscape Plug-in API (NPAPI) to run.  As a result of the upcoming deprecation of the plug-in by Google Chrome web browsers starting in Q2 2015, there will not be new development on the VMRC SDK for vSphere 6.0 and later versions.  For those using vSphere 6.0 and above, as well as web browsers without NPAPI support, we recommend* downloading and using the standalone VMRC application.

The VMRC SDK allows you to use a Web-based application to connect to a vCenter-managed virtual machine and access that virtual machine's console in a browser window. You can interact with the virtual machine console input and screen. You can also use the VMRC SDK to manage virtual and physical device connections on a vCenter-managed virtual machine.

The VMRC SDK for vSphere 5.1 and 5.5 requires the Netscape Plug-in API (NPAPI) to run.  As a result of the upcoming deprecation of the plug-in by Google Chrome web browsers starting in Q2 2015, the VMRC SDK for vSphere 5.1 and 5.5 will no longer be supported on Chrome browsers without plug-in support.  The VMRC plug-in will continue to function on Microsoft Internet Explorer version 7 or later, Mozilla Firefox version 9 or later, and Google Chrome version 16 up until the version of NPAPI deprecation, on Microsoft Windows XP or later and Linux host operating systems.  No new active development will continue on the SDK.  For those using vSphere 6.0 and above, as well as web browsers without NPAPI support, we recommend*downloading and using the standalone VMRC application.

1 Downloads

Name Version Size      
VMware Remote Console (VMRC) SDK 5.5   Documentation Download

2 Documentation and Reference